EN_HONORIFICS = ["Master", "Mr", "Miss", "Mrs", "Ms", "Mx", "Sir", "Gentleman", "Sire", "Mistress", "Madam", "Ma'am",
                 "Dame", "Lord", "Lady", "Esq", "Excellency", "Her Honour", "His Honour", "The Honourable",
                 "The Honorable", "The Hon", "Hon.", "The Hon'ble", "The Right Honourable", "The Most Honourable",
                 "Dr", "Professor", "Prof", "QC", "Eur Ing", "Chancellor", "Vice-Chancellor", "Principal", "President",
                 "Master", "Warden", "Dean", "Regent", "Rector", "Provost", "Director", "Chief Executive",
                 "His Holiness", "HH", "His All Holiness", "HAH", "His Beautitude", "The Most Blessed",
                 "His Excellency", "HE", "His Most Eminent Highness", "HMEH", "His Eminence", "Most Revered Eminence",
                 "The Most Reverend", "The Most Rev", "The Most Revd", "His Grace", "The Right Reverend", "The Rt Rev",
                 "The Rt Revd", "His Lordship", "The Reverend", "The Rev", "The Revd", "Father", "Fr", "Pastor", "Pr",
                 "Brother", "Br", "Sister", "Sr", "Elder", "Rabbi", "Imam", "Sayyid", "Sharif", "Haji"]
"""List of English Honorifics, based on https://en.wikipedia.org/wiki/English_honorifics"""


NL_VOORVOEGSELS = ["'S", "'s", "'T", "'t", "A", "a", "Aan", "aan", "Aan 't", "aan 't", "Aan de", "aan de", "Aan den",
                   "aan den", "Aan der", "aan der", "Aan het", "aan het", "Aan t", "aan t", "Af", "af", "Al", "al",
                   "Am", "am", "Am de", "am de", "Auf", "auf", "Auf dem", "auf dem", "Auf den", "auf den", "Auf der",
                   "auf der", "Auf ter", "auf ter", "Aus", "aus", "Aus 'm", "aus 'm", "Aus dem", "aus dem", "Aus den",
                   "aus den", "Aus der", "aus der", "Aus m", "aus m", "Ben", "ben", "Bij", "bij", "Bij 't", "bij 't",
                   "Bij de", "bij de", "Bij den", "bij den", "Bij het", "bij het", "Bij t", "bij t", "Bin", "bin",
                   "Boven d", "boven d", "Boven d'", "boven d'", "D", "d", "D'", "d'", "Da", "da", "Dal", "dal", "Dal'",
                   "dal'", "Dalla", "dalla", "Das", "das", "De", "de", "De die", "de die", "De die le", "de die le",
                   "De l", "de l", "De l'", "de l'", "De la", "de la", "De las", "de las", "De le", "de le",
                   "De van der", "de van der", "Deca", "deca", "Degli", "degli", "Dei", "dei", "Del", "del", "Della",
                   "della", "Den", "den", "Der", "der", "Des", "des", "Di", "di", "Die le", "die le", "Do", "do", "Don",
                   "don", "Dos", "dos", "Du", "du", "El", "el", "Het", "het", "I", "i", "Im", "im", "In", "in", "In 't",
                   "in 't", "In de", "in de", "In den", "in den", "In der", "in der", "In het", "in het", "In t",
                   "in t", "L", "l", "L'", "l'", "La", "la", "Las", "las", "Le", "le", "Les", "les", "Lo", "lo", "Los",
                   "los", "Of", "of", "Onder", "onder", "Onder 't", "onder 't", "Onder de", "onder de", "Onder den",
                   "onder den", "Onder het", "onder het", "Onder t", "onder t", "Op", "op", "Op 't", "op 't", "Op de",
                   "op de", "Op den", "op den", "Op der", "op der", "Op gen", "op gen", "Op het", "op het", "Op t",
                   "op t", "Op ten", "op ten", "Over", "over", "Over 't", "over 't", "Over de", "over de", "Over den",
                   "over den", "Over het", "over het", "Over t", "over t", "S", "s", "S'", "s'", "T", "t", "Te", "te",
                   "Ten", "ten", "Ter", "ter", "Tho", "tho", "Thoe", "thoe", "Thor", "thor", "To", "to", "Toe", "toe",
                   "Tot", "tot", "Uijt", "uijt", "Uijt 't", "uijt 't", "Uijt de", "uijt de", "Uijt den", "uijt den",
                   "Uijt te de", "uijt te de", "Uijt ten", "uijt ten", "Uit", "uit", "Uit 't", "uit 't", "Uit de",
                   "uit de", "Uit den", "uit den", "Uit het", "uit het", "Uit t", "uit t", "Uit te de", "uit te de",
                   "Uit ten", "uit ten", "Unter", "unter", "Van", "van", "Van 't", "van 't", "Van de", "van De",
                   "van de", "Van de l", "van de l", "Van de l'", "van de l'", "Van Den", "Van den", "van den",
                   "Van Der", "Van der", "van der", "Van gen", "van gen", "Van het", "van het", "Van la", "van la",
                   "Van t", "van t", "Van ter", "van ter", "Van van de", "van van de", "Ver", "ver", "Vom", "vom",
                   "Von", "von", "Von 't", "von 't", "Von dem", "von dem", "Von den", "von den", "Von der", "von der",
                   "Von t", "von t", "Voor", "voor", "Voor 't", "voor 't", "Voor de", "voor de", "Voor den", "voor den",
                   "Voor in 't", "voor in 't", "Voor in t", "voor in t", "Vor", "vor", "Vor der", "vor der", "Zu", "zu",
                   "Zum", "zum", "Zur", "zur"]
"""List of 'voorvoegsels' approved by the Dutch government, source
http://publicaties.rvig.nl/dsresource?objectid=4793&type=org"""
